options = struct('method','fmclust','n_rules',6);
options.type = {'productspace' 'uninversedist' 'linear'};

sm=external('sin',1,1)

sm=add_dynamics(sm,0,1,0);

d=dataset([(1:0.01:10)' sin(1:0.01:10)']);
sm=add_data(sm,d);

sm_mapping=taksug('fmclust mapping',1,1)

sm=add_mapping(sm,sm_mapping);
set(sm,'links',[1 1]);

sm=identify(sm,1,options);

sm=clone_output(sm,1,'cluslms mapping');

options.method = 'cluslms';
sm=identify(sm,1,options);

sm=clone_output(sm,1,'cluslev mapping')
options.method = 'cluslev';
sm=identify(sm,1,options);

sm=clone_output(sm,1,'randlm mapping')
options.method = 'randlm';
sm=identify(sm,1,options);

%sm=clone_output(sm,1,'tsgklmsxv mapping')
%options.method = 'tsgklmsxv';
%sm=identify(sm,1,options);

plot(sm);
pause
